This document describes the current stable version of Celery (5.6). For development docs, go here.

# `celery.backends.filesystem`

File-system result store backend.

class celery.backends.filesystem.FilesystemBackend(url=None, open=<built-in function open>, unlink=<built-in function unlink>, sep='/', encoding='UTF-8', *args, **kwargs)

  File-system result backend.

  Parameters:

    - url (str) – URL to the directory we should use

    - open (Callable) – open function to use when opening files

    - unlink (Callable) – unlink function to use when deleting files

    - sep (str) – directory separator (to join the directory with the key)

    - encoding (str) – encoding used on the file-system

  cleanup()

    Delete expired meta-data.

  delete(key)
  get(key)
  mget(keys)
  set(key, value)